local myMod = ...

-- Register all shoemaker building parts and their properties
myMod:dofile("scripts/building_settings.lua")

myMod:register({
	DataType = "BUILDING",
	Id = "TANNERY_BUILDING",
	Name = "TANNERY_NAME",
	Description = "TANNERY_DESC",
	BuildingType = "GENERAL",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "TANNERY_PART" }
		}
	},
	--DesirabilityLayer = "DESIRABILITY",
	VillagerRequired = { Status = "COMMONER", Quantity = 20 }
})

myMod:register({
	DataType = "BUILDING_PART",
	Id = "TANNERY_PART",
	--Description = "",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TANNERY"
	},
	BuildingZone = { 10, 7 },
	ConstructionVisual = "PREFAB_TANNERY_CONSTRUCTION",
	--DesirabilityModifiers = {"DESIRABILITY_EFFECT_TYPE"},
	BuildingFunction = "TANNERY_FUNCTION",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 5 }
		},
		RessourcesNeeded = {
			{ Resource = "STONE", Quantity = 10 },
			{ Resource = "PLANK", Quantity = 6 },
			{ Resource = "TOOL", Quantity = 4 }
		}
	}
})
 
-- Building function
myMod:register({
    DataType = "BUILDING_FUNCTION_WORKPLACE",
    Id = "TANNERY_FUNCTION",
    WorkerCapacity = 2,
	RelatedJob = { Job = "TANNER", Behavior = "WORK_BEHAVIOR" },
	InputInventoryCapacity = {{ Resource = "BOAR", Quantity = 20 }},
	ResourceListNeeded = {{ Resource = "BOAR", Quantity = 4 }},
	ResourceProduced = {{ Resource = "LEATHER", Quantity = 2 }}	
})